#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
This is an example for mci simulation.

@author: yan
"""
import os
from csst_mci_sim import csst_mci_sim

# Set the parent path where the MCI_inputdata folder is stored.
dir_path = 'home/yan/'

# Set the path to the called config file.
configfile = os.path.join(dir_path, 'MCI_inputData/configData/mci_C10.config')

# Set the path to the simulation data storage file.
result_path = os.path.join(dir_path, 'mci_sim_result')

sourcein = 'STAR'  # or EXDF or FLAT or DARK or BIAS

# Specifies whether the debug mode is used. If debug=True,
# this mode is used and the program will only simulate a few wavelength slices
# to save time. If debug=False, the full simulation will be run.
debug = False

# set the simulaiton number. With modifications, parallel simulations
# can be executed.
iLoop = 1

# run the main function
# When the last parameter is yes and sourcein is LAMP,
# the Hole simulation is executed.
csst_mci_sim.runMCIsim(sourcein, configfile, dir_path,
                       result_path, debug, iLoop)
